/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.cid;


import cdac.medinfo.sdk.dcm30_04.templates.enums.EnumCodingSchemeDesignator;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_VisualFieldStaticPerimetryTestPatterns;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cv.EnumCV_VisualFieldStaticPerimetryTestPatterns;


/**
 * This class represents VisualFieldStaticPerimetryTestPatterns - CID4250
 */
public class VisualFieldStaticPerimetryTestPatterns_CID4250 
{
	
	/**
	 * The Code Value for template.
	 */
	private String strCodeValue = null;

	/**
	 * The Code Meaning for template.
	 */
	private String strCodeMeaning = null;

	/**
	 * The Coding Scheme Designator for template.
	 */
	private String strCodingSchemeDesignator;

	/**
	 * Instantiates a new VisualFieldStaticPerimetryTestPatterns_CID4250 Template 
	 */
	public VisualFieldStaticPerimetryTestPatterns_CID4250()
	{

	}

	/**
	 * Retrieves the value for Code Meaning.
	 * @return String value for Code Meaning.
	 */
	public String getCodeMeaning()
	{
		return strCodeMeaning;
	}

	/**
	 * Retrieves the value for Code Value.
	 * @return String value for Code Value.
	 */
	public String getCodeValue() 
	{
		return strCodeValue;
	}

	/**
	 * Retrieves the value for Coding Scheme Designator.
	 * @return String value for Coding Scheme Designator.
	 */
	public String getCodingSchemeDesignator() 
	{
		return strCodingSchemeDesignator;
	}

	/**
	 * Sets the Code Value according to Code Meaning.
	 * @param enumVisualFieldStaticPerimetryTestPatterns Object of EnumCM_VisualFieldStaticPerimetryTestPatterns represents Code Meaning.
	 */
	private void setCodeValue(EnumCM_VisualFieldStaticPerimetryTestPatterns enumVisualFieldStaticPerimetryTestPatterns)
	{
		switch(enumVisualFieldStaticPerimetryTestPatterns)
		{
		case VISUAL_FIELD_24_2_TEST_PATTERN:
			this.strCodeValue = EnumCV_VisualFieldStaticPerimetryTestPatterns.VISUAL_FIELD_24_2_TEST_PATTERN_111800
					.getValue();
			break;
		case VISUAL_FIELD_10_2_TEST_PATTERN:
			this.strCodeValue = EnumCV_VisualFieldStaticPerimetryTestPatterns.VISUAL_FIELD_10_2_TEST_PATTERN_111801
					.getValue();
			break;
		case VISUAL_FIELD_30_2_TEST_PATTERN:
			this.strCodeValue = EnumCV_VisualFieldStaticPerimetryTestPatterns.VISUAL_FIELD_30_2_TEST_PATTERN_111802
					.getValue();
			break;
		case VISUAL_FIELD_60_4_TEST_PATTERN:
			this.strCodeValue = EnumCV_VisualFieldStaticPerimetryTestPatterns.VISUAL_FIELD_60_4_TEST_PATTERN_111803
					.getValue();
			break;
		case VISUAL_FIELD_MACULA_TEST_PATTERN:
			this.strCodeValue = EnumCV_VisualFieldStaticPerimetryTestPatterns.VISUAL_FIELD_MACULA_TEST_PATTERN_111804
					.getValue();
			break;
		case VISUAL_FIELD_CENTRAL_40_POINT_TEST_PATTERN:
			this.strCodeValue = EnumCV_VisualFieldStaticPerimetryTestPatterns.VISUAL_FIELD_CENTRAL_40_POINT_TEST_PATTERN_111805
					.getValue();
			break;
		case VISUAL_FIELD_CENTRAL_76_POINT_TEST_PATTERN:
			this.strCodeValue = EnumCV_VisualFieldStaticPerimetryTestPatterns.VISUAL_FIELD_CENTRAL_76_POINT_TEST_PATTERN_111806
					.getValue();
			break;
		case VISUAL_FIELD_PERIPHERAL_60_POINT_TEST_PATTERN:
			this.strCodeValue = EnumCV_VisualFieldStaticPerimetryTestPatterns.VISUAL_FIELD_PERIPHERAL_60_POINT_TEST_PATTERN_111807
					.getValue();
			break;
		case VISUAL_FIELD_FULL_FIELD_81_POINT_TEST_PATTERN:
			this.strCodeValue = EnumCV_VisualFieldStaticPerimetryTestPatterns.VISUAL_FIELD_FULL_FIELD_81_POINT_TEST_PATTERN_111808
					.getValue();
			break;
		case VISUAL_FIELD_FULL_FIELD_120_POINT_TEST_PATTERN:
			this.strCodeValue = EnumCV_VisualFieldStaticPerimetryTestPatterns.VISUAL_FIELD_FULL_FIELD_120_POINT_TEST_PATTERN_111809
					.getValue();
			break;
		case VISUAL_FIELD_G_TEST_PATTERN:
			this.strCodeValue = EnumCV_VisualFieldStaticPerimetryTestPatterns.VISUAL_FIELD_G_TEST_PATTERN_111810
					.getValue();
			break;
		case VISUAL_FIELD_M_TEST_PATTERN:
			this.strCodeValue = EnumCV_VisualFieldStaticPerimetryTestPatterns.VISUAL_FIELD_M_TEST_PATTERN_111811
					.getValue();
			break;
		case VISUAL_FIELD_07_TEST_PATTERN:
			this.strCodeValue = EnumCV_VisualFieldStaticPerimetryTestPatterns.VISUAL_FIELD_07_TEST_PATTERN_111812
					.getValue();
			break;
		case VISUAL_FIELD_LVC_TEST_PATTERN:
			this.strCodeValue = EnumCV_VisualFieldStaticPerimetryTestPatterns.VISUAL_FIELD_LVC_TEST_PATTERN_111813
					.getValue();
			break;
		case VISUAL_FIELD_CENTRAL_TEST_PATTERN:
			this.strCodeValue = EnumCV_VisualFieldStaticPerimetryTestPatterns.VISUAL_FIELD_CENTRAL_TEST_PATTERN_111814.getValue(); break;
		
		}
	}

	/**
	 * Sets the value for VisualFieldStaticPerimetryTestPatterns
	 * @param enumVisualFieldStaticPerimetryTestPatterns Object of EnumCM_VisualFieldStaticPerimetryTestPatterns.
	 */
	public void setVisualFieldStaticPerimetryTestPatterns(EnumCM_VisualFieldStaticPerimetryTestPatterns enumVisualFieldStaticPerimetryTestPatterns)
	{
		/**
		 * Retrieves the value for CodingSchemeDesignator, CodingSchemeVersion and Code Meaning and 
		 * sets the Code Value according to Code Meaning.
		 */
		this.strCodeMeaning = enumVisualFieldStaticPerimetryTestPatterns.getValue();
		this.strCodingSchemeDesignator = EnumCodingSchemeDesignator.DCM.getValue();
		
		/**
		 * set code Value
		 */
		setCodeValue(enumVisualFieldStaticPerimetryTestPatterns);
	}
}
